%global debug_package %{nil}
# Binary provided by upstream

Name:		fd	
Version:	10.2.0
Release:	1%{?dist}
Summary:	fd is a simple, fast and user-friendly alternative to find.

License:	MIT or Apache-2.0
URL:		https://crates.io/crates/fd-find
Source0:	https://github.com/sharkdp/fd/releases/download/v%{version}/%{name}-v%{version}-x86_64-unknown-linux-gnu.tar.gz

BuildRequires:	epel-rpm-macros

%description
fd is a program to find entries in your filesystem. It is a simple, fast and
user-friendly alternative to find. While it does not aim to support all of
find's powerful functionality, it provides sensible (opinionated) defaults
for a majority of use cases.

%prep
%setup -q -n %{name}-v%{version}-x86_64-unknown-linux-gnu


%build


%install
install -p -D -m 0755 fd %{buildroot}%{_bindir}/fd
install -p -D -m 0644 fd.1 %{buildroot}%{_datadir}/man/man1/fd.1
install -p -D -m 0644 autocomplete/fd.bash %{buildroot}%{bash_completions_dir}/fd
install -p -D -m 0644 autocomplete/_fd %{buildroot}%{zsh_completions_dir}/_fd
install -p -D -m 0644 autocomplete/fd.fish %{buildroot}%{fish_completions_dir}/fd.fish


%files
%license LICENSE-APACHE LICENSE-MIT
%doc README.md CHANGELOG.md
%{_bindir}/fd
%{_datadir}/man/man1/fd.1*
%{bash_completions_dir}/fd
%{fish_completions_dir}/fd.fish
%{zsh_completions_dir}/_fd


%changelog
* Sat Aug 24 2024 Tonkünstler-on-the-Bund <webmaster@tonkunstler-on-the-bund.com> - 10.2.0-1
- Update version

* Sat May 11 2024 Tonkünstler-on-the-Bund <webmaster@tonkunstler-on-the-bund.com> - 10.1.0-1
- Update version

* Sat Dec 23 2023 Tonkünstler-on-the-Bund <webmaster@tonkunstler-on-the-bund.com> - 9.0.0-1
- Update version

* Wed Oct 25 2023 Tonkünstler-on-the-Bund <webmaster@tonkunstler-on-the-bund.com> - 8.7.1-1
- Update version

* Tue Jun 27 2023 Tonkünstler-on-the-Bund <webmaster@tonkunstler-on-the-bund.com> - 8.7.0-2
- Install zsh and fish completion scripts

* Tue Jun 20 2023 Tonkünstler-on-the-Bund <webmaster@tonkunstler-on-the-bund.com> - 8.7.0-1
- First fd package
